Package org.astrogrid.samp.client

# Interface ResponseHandler

public interface ResponseHandler
Interface for a client which wishes to receive responses to message it has sent asynchrnonously using `call` or `callAll`.

Since:
  16 Jul 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`ownsTag(String msgTag)`
Indicates whether this handler will process the response with a given message tag.
`void`
`receiveResponse(HubConnection connection, String responderId, String msgTag, Response response)`
Processes a response to an earlier message.

## Method Details

### ownsTag

boolean ownsTag(String msgTag)
Indicates whether this handler will process the response with a given message tag.

Parameters:
  `msgTag` - tag with which earlier call was labelled
Returns:
  true iff this handler wants to process the response labelled with `msgTag`

### receiveResponse

void receiveResponse(HubConnection connection, String responderId, String msgTag, Response response) throws Exception
Processes a response to an earlier message. Will only be called for `msgTag` values which return `true` from `ownsTag(java.lang.String)`.

Parameters:
  `connection` - hub connection
  `responderId` - client id of client sending response
  `msgTag` - message tag from previous call
  `response` - response object
Throws:
  `Exception`